# Yatta! API

# Class: Yatta

Defined in: | lib/Yatta.coffee
Inherits: | types.JsonType

## Overview

Framework for Json data-structures. Known values that are supported:

- String
- Integer
- Array

## Instance Method Summary

- # (void) getConnector()

## Constructor Details

# (void) constructor()

### Parameters:

- user_id ( `String` ) — Unique id of the peer.
- Connector ( `Connector` ) — the connector class.

## Instance Method Details

# (void) getConnector()

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input